Name:           mkdst
Version:        0.9
Release:        1%{?dist}
Summary:        Source repository to tarball release tool

Group:          Development/Tools
License:        GPLv2+
URL:            https://launchpad.net/mkdst/
# Generate tarball from source repository
# bzr get http://bazaar.launchpad.net/~ltsp-upstream/mkdst/mkdst-trunk
# cd mkdst-trunk
# ./mkdst tar --from-tag=mkdst-%{version}
Source0:        mkdst-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Source repository and tarball release tool
Currently supports only bzr, but more VCS tools are planned.

%prep
%setup -q

%build
echo "Nothing to build."

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README* COPYING ChangeLog
%{_bindir}/*
%{_datadir}/mkdst/*

%changelog
* Mon May 19 2008 Warren Togami <wtogami@redhat.com> - 0.9-1
- 0.9

* Sat Mar 29 2008 Warren Togami <wtogami@redhat.com> - 0.8-1
- 0.8

* Mon Mar 24 2008 Warren Togami <wtogami@redhat.com> - 0.7-1
- 0.7

* Mon Mar 13 2008 Warren Togami <wtogami@redhat.com> - 0.6-1
- 0.6 with new commands

* Mon Jan 14 2008 Warren Togami <wtogami@redhat.com> - 0.5-1
- 0.5

* Sun Jan 13 2008 Warren Togami <wtogami@redhat.com> - 0.1-1
- initial package
